Bug 1023519 - maven fails to execute on Power
maven fails to execute on Power
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: java-1.7.0-openjdk (Show other bugs)
20
ppc64 Linux
unspecified Severity high
: ---
: ---
Assigned To: jiri vanek
Fedora Extras Quality Assurance
: Reopened
Depends On: 1015432
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-25 11:29 EDT by Amir Sanjar
Modified: 2014-01-08 07:14 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-08 07:14:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Amir Sanjar 2013-10-25 11:29:32 EDT
Description of problem:
maven fails to execute.


Version-Release number of selected component (if applicable):
[mockbuild@p20n09 ~]$ mvn -v
Apache Maven 3.1.0 (NON-CANONICAL_2013-09-26_13-27_mockbuild; 2013-09-26 07:27:45-0600)
Maven home: /usr/share/maven
Java version: 1.7.0_40, vendor: Oracle Corporation
Java home: /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.60-2.4.2.9.fc20.ppc64/jre
Default locale: en_US, platform encoding: UTF-8
OS name: "linux", version: "3.11.0-300.fc20.ppc64p7", arch: "ppc64", family: "unix"


How reproducible:
just type "mvn"

Steps to Reproduce:
1.yum instsall maven
2.type "mvn"
3.

Actual results:
Exception in thread "process reaper" Exception in thread "process reaper" java.lang.StackOverflowError
        at java.lang.UNIXProcess$ProcessPipeInputStream.processExited(UNIXProcess.java:282)
        at java.lang.UNIXProcess.processExited(UNIXProcess.java:187)
        at java.lang.UNIXProcess$3.run(UNIXProcess.java:175)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)
        at java.lang.Thread.run(Thread.java:724)
Exception in thread "process reaper" Exception in thread "process reaper" Exception in thread "process reaper" Exception in thread "process reaper" java.lang.StackOverflowError
        at java.util.concurrent.SynchronousQueue$TransferStack.snode(SynchronousQueue.java:316)
        at java.util.concurrent.SynchronousQueue$TransferStack.transfer(SynchronousQueue.java:358)
        at java.util.concurrent.SynchronousQueue.poll(SynchronousQueue.java:942)
        at java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1068)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1130)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)
        at java.lang.Thread.run(Thread.java:724)


Expected results:
[INFO] Scanning for projects...
[INFO] ------------------------------------------------------------------------
[INFO] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 0.076s
[INFO] Finished at: Fri Oct 25 09:43:42 CDT 2013
[INFO] Final Memory: 4M/119M
[INFO] ------------------------------------------------------------------------
[ERROR] No goals have been specified for this build. You must specify a valid lifecycle phase or a goal in the format <plugin-prefix>:<goal> or <plugin-group-id>:<plugin-artifact-id>[:<plugin-version>]:<goal>. Available lifecycle phases are: validate, initialize, generate-sources, process-sources, generate-resources, process-resources, compile, process-classes, generate-test-sources, process-test-sources, generate-test-resources, process-test-resources, test-compile, process-test-classes, test, prepare-package, package, pre-integration-test, integration-test, post-integration-test, verify, install, deploy, pre-site, site, post-site, site-deploy, pre-clean, clean, post-clean. -> [Help 1]
[ERROR] 
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR] 
[ERROR] For more information about the errors and possible solutions, please read the following articles:
[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/NoGoalSpecifiedException


Additional info:
Comment 1 Stanislav Ochotnicky 2013-10-25 11:47:05 EDT
I believe this has been identified before as OpenJDK bug. Reassigning to appropriate component
Comment 2 Amir Sanjar 2013-10-25 14:57:42 EDT
Again this problem is only reproducible on POWER, it works fine on x86. As you can see (below) both x86 and POWER have the same OpenJDK version.

*** POWER ****
[mockbuild@p20n09 ~]$ java -version 
java version "1.7.0_40"
OpenJDK Runtime Environment (fedora-2.4.2.9.fc20-ppc64 u40-b60)
OpenJDK 64-Bit Zero VM (build 24.0-b56, interpreted mode)

*** X86 *****
[mockbuild@localhost rpmbuild]$ java -version
java version "1.7.0_40"
OpenJDK Runtime Environment (fedora-2.4.2.9.fc20-x86_64 u40-b60)
OpenJDK 64-Bit Server VM (build 24.0-b56, mixed mode)
Comment 3 Deepak Bhole 2013-10-25 15:39:02 EDT
This looks identical to an issue Chris is already looking into. Re-assigning to him.
Comment 4 Chris Phillips @ TO 2013-10-25 16:07:52 EDT

*** This bug has been marked as a duplicate of bug 1015432 ***
Comment 5 Andrew John Hughes 2013-10-25 16:15:42 EDT
Not just PPC, but PPC where -XX:+UseLargePages is enabled with hugetlb as far as we can tell.  OpenJDK reads the value of Hugepagesize from /proc/meminfo and this has been observed as being as large as 16MB on some PPC boxes.
Comment 6 Deepak Bhole 2013-10-25 16:29:29 EDT
Bug 1015432 is closed for public access. This bugs needs to remain open for Fedora tracking. Adding it as a dependency for tracking purposes though.
Comment 7 Amir Sanjar 2013-11-11 11:28:46 EST
any updates?
Comment 8 Chris Phillips @ TO 2013-11-11 13:19:55 EST
Hi 
The work-around for 

https://bugzilla.redhat.com/show_bug.cgi?id=1015432

should fix the stack overflow but it requires a new openjdk build,  
you may also have to increase perm gen if you see the oom permgen msg

https://bugzilla.redhat.com/show_bug.cgi?id=1017606

Chris
Comment 9 Amir Sanjar 2013-11-11 14:08:13 EST
Odd ??!! I get error "You are not authorized to access bug #1015432. "
By the way, Scala console also failing on Power the same way.
Comment 10 Deepak Bhole 2013-11-12 09:30:17 EST
Jiri, can you please do a Fedora build with the PPC stackoverflow fix?
Comment 11 jiri vanek 2014-01-08 07:14:15 EST
The stackowerflow fix was pushed and built.

Note You need to log in before you can comment on or make changes to this bug.